Use this API to return a list of the actions that can be applied when a mapping runs.
Use the Action Value when creating or updating User Mappings.
The list of conditions will also include any Custom Attributes that have been defined in a OneLogin account.
Resource URL
https://<subdomain>.onelogin.com/api/2/mappings/actionsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Sample Responses
- 200 OK
- 401 Unauthorized
[
{
"name": "Set Role",
"value": "add_role"
},
{
"name": "Set Status",
"value": "set_status"
},
{
"name": "Set Employee ID",
"value": "set_employee_id"
},
...
]Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Response Elements
name | The name of the Action. |
value | The unique identifier of the action. This should be used when defining actions for a User Mapping. |
Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List Mapping Actions
curl 'https://<subdomain>.onelogin.com/api/2/mappings/actions' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.